ingres_field_scale
ingres_free_result
Ingres Functions
PHP Manual

# ingres_field_type

Get the type of a field in a query result

### Description

string ingres_field_type ( resource `$result` , int `$index` )

Get the type of a field in a query result.

> Note: Related Configurations

> See ingres.array_index_start in Runtime Configuration

### Parameters

`result`

  The query result identifier

`index`

  `index` is the field whose type will be retrieved.

  The possible values of `index` depend upon the value of ingres.array_index_start. If ingres.array_index_start is 1 (the default) then `index` must be between 1 and the value returned by ingres_num_fields. If ingres.array_index_start is 0 then `index` must be between 0 and ingres_num_fields - 1.

### Return Values

ingres_field_type returns the type of a field in a query result or `FALSE` on failure. Examples of types returned are IIAPI_BYTE_TYPE, IIAPI_CHA_TYPE, IIAPI_DTE_TYPE, IIAPI_FLT_TYPE, IIAPI_INT_TYPE, IIAPI_VCH_TYPE. Some of these types can map to more than one SQL type depending on the length of the field (see ingres_field_length). For example IIAPI_FLT_TYPE can be a float4 or a float8. For detailed information, see the Ingres OpenAPI User Guide, Appendix "Data Types" in the Ingres documentation.

### See Also

- ingres_query
- ingres_fetch_array
- ingres_fetch_assoc
- ingres_fetch_object
- ingres_fetch_row